back to article RIM makes Bold move with OS 7

Research in Motion has unveiled two additions to its range of Blackberry Bold smartphones, the 9900 and 9930. Both handsets run the new BlackBerry 7 OS, which provides support for 4G networks, HSPA+ connectivity, faster JavaScript, HTML 5 and voice-activated searches. Blackberry Bold 9900 Spec-wise, the latest BlackBerrys …

COMMENTS

This topic is closed for new posts.
Stop

OS 7 won't work on OS 6 devices

I've just read that my Torch won't be eligible for the upgrade, even though it's only a few months old. The 6.1 upgrade "coming soon" has morphed into OS 7 and won't work on current devices.

If that's true, BlackBerry can just fuck right off.

1
0
Unhappy

I am still wating for 6

I have a 9650 that is running 5 and I am still waiting for 6. Verizon or RIM have not made it available for my phone yet. I probably be at the end of my 2 years before I see any of the newer versions.

E

0
1
Go

It is out

OS6 is out for the 9650 and has been on Verizon since January '11. http://vzw.smithmicro.com/blackberry/download.aspx?ct=personal

0
0

6 is available

The link below shows how to use the Sprint version on your Verizon phone.

http://crackberry.com/official-os-6-0-0-415-blackberry-bold-9650-now-available-sprint

0
0
Thumb Up

Thanks

I looked for this page and never found it. Verizon's site sucks. I am updating now. Hopefully I will not regret it.

0
0

Exchange

If only they supported ActiveSync natively without using a fecking BES box or 3rd party app. Would have another 200 sold by now...

0
0
Silver badge
Boffin

Nice

Though I don't see LTE being supported. Where's the 4G connectivity?

Looks like Blackberry is actually putting nice stuff on their handsets these days. I hope these things are within a manageable price tag by the time I change Blackberries. The jump from 8300 to 9700 was very nice indeed.

0
0
WTF?

OS updates and Torch not having OS7

RIM updates their OS's fairly regularly and releases them to the carries to deploy.

It's the carriers themselves that "hold back" the releasing of the newer OS's for whatever reason (testing purposes, they want to force people to buy newer phones, etc...)

If you do a little searching you should be able to figure out how to get the most current OS on your Blackberry pretty easily.

But even if you got a Torch a few months ago, it was released quite a while back so I don't think its unreasonable to think that the newer OS7 is not supported.

Its like buying a clearance model year car and complaining that it doesn't have the current model features...

0
1
Thumb Down

No it's not reasonable

Considering that the iPhone 3Gs runs iOS 4 and might also run iOS 5. Android is more mixed, but even crappy Android phones can usually get at least a 0.1 version increase. IIRC the Torch only came out in the UK in August, and it's been "known" for a while that OS 6.1 will be coming soon.

0
0
This topic is closed for new posts.

Forums